Opened 5 years ago

Closed 5 years ago

#1455 closed defect (invalid)

python rasterio requirements not met

Reported by: darkblueb Owned by: darkblueb
Priority: normal Milestone: OSGeoLive8.5
Component: OSGeoLive Keywords: python
Cc:

Description

import rasterio

fails ..

check https://raw.github.com/mapbox/rasterio/master/requirements.txt

affine
cligj
enum34
numpy>=1.8.0
setuptools

Change history (5)

comment:1 Changed 5 years ago by darkblueb

fix -- Committed revision 12176. (close ticket on confirmation)

comment:2 Changed 5 years ago by kalxas

These requirements are from git master branch. I don't remember cligj being a requirement on the version I packaged.

Johan, is this a requirement on your latest update? If yes, this should be included in the ppa and not through pip install.

comment:3 Changed 5 years ago by kalxas

I checked the latest package on ppa, it only has build requirements and none runtime requirement. This should be fixed.

comment:4 Changed 5 years ago by darkblueb

the package Fiona shows a dependency of python3-click which is cligj; python2 is not included ? also, there are two packages -- Fiona and python-fiona -- ? is this needed or desirable ?

comment:5 Changed 5 years ago by kalxas

Resolution: invalid
Status: newclosed

import rasterio works fine on latest builds.

Since the latest rasterio build on Launchpad is not working, we are using the old deb package for rasterio.

Note: See TracTickets for help on using tickets.